package aksaefi;

import javakara.JavaKaraProgram;

/**
 * JavaKaraHelloWorld zeigt, wie eine Applikation geschrieben werden muss, die
 * Kara steuert und aus einer Entwicklungsumgebung heraus gestartet werden kann.
 * 
 * @author Raimond Reichert
 */
public class JavaKaraHelloWorld extends JavaKaraProgram {

	/**
	 * JavaKara starten. Soll zu Beginn eine Welt geladen werden, muss der
	 * Dateiname der Welt beim Aufruf von program.run() mitgegeben werden, also
	 * zum Beispiel program.run("x:/data/test.world").
	 */
	public static void main(String[] args) {
		JavaKaraProgram program = new JavaKaraHelloWorld();
		program.run();
	}

	/**
	 * Die Methode myMainProgram() muss das auszufhrende Hauptprogramm
	 * enthalten. Wenn die Applikation nicht mit einer Welt vorinitialisiert
	 * wird (siehe unten), muss zunchst Kara irgendwo in der Welt plaziert
	 * werden.
	 * 
	 * Nach der Ausfhrung dieser Methode kann JavaKara normal weiter benutzt
	 * werden.
	 */
	@Override
	public void myMainProgram() {
		kara.setPosition(0, 4);
		while (!kara.treeFront()) {
			kara.move();
		}

	}

}
